org.apache.thrift.transport

## Class TFramedTransport.Factory

- java.lang.Object
- - org.apache.thrift.transport.TTransportFactory
  - - org.apache.thrift.transport.TFramedTransport.Factory

- Enclosing class:
    TFramedTransport

      public static class TFramedTransport.Factory
      extends TTransportFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFramedTransport.Factory()`
    `TFramedTransport.Factory(int maxLength)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TTransport` | `getTransport(TTransport base)` Return a wrapped instance of the base Transport.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFramedTransport.Factory

          public TFramedTransport.Factory()

    - #### TFramedTransport.Factory

          public TFramedTransport.Factory(int maxLength)

  - ### Method Detail

    - #### getTransport

          public TTransport getTransport(TTransport base)

      Description copied from class: `TTransportFactory`
      Return a wrapped instance of the base Transport.
      Overrides:
        `getTransport` in class `TTransportFactory`
      Parameters:
        `base` - The base transport
      Returns:
        Wrapped Transport